# Class: MoneroTxSet

## MoneroTxSet()

Groups transactions who share common hex data which is needed in order to sign and submit the transactions. For example, multisig transactions created from createTxs() share a common hex string which is needed in order to sign and submit the multisig transactions.

## Constructor

#### new MoneroTxSet()

Source:
  - src/main/js/wallet/model/MoneroTxSet.js, line 14

### Methods

#### getMultisigTxHex()

Source:
  - src/main/js/wallet/model/MoneroTxSet.js, line 51

#### getSignedTxHex()

Source:
  - src/main/js/wallet/model/MoneroTxSet.js, line 69

#### getTxs()

Source:
  - src/main/js/wallet/model/MoneroTxSet.js, line 42

#### getUnsignedTxHex()

Source:
  - src/main/js/wallet/model/MoneroTxSet.js, line 60

#### merge()

Source:
  - src/main/js/wallet/model/MoneroTxSet.js, line 78

#### setMultisigTxHex()

Source:
  - src/main/js/wallet/model/MoneroTxSet.js, line 55

#### setSignedTxHex()

Source:
  - src/main/js/wallet/model/MoneroTxSet.js, line 73

#### setTxs()

Source:
  - src/main/js/wallet/model/MoneroTxSet.js, line 46

#### setUnsignedTxHex()

Source:
  - src/main/js/wallet/model/MoneroTxSet.js, line 64

#### toJson()

Source:
  - src/main/js/wallet/model/MoneroTxSet.js, line 33

#### toString()

Source:
  - src/main/js/wallet/model/MoneroTxSet.js, line 98